Name:           kde-plasma-translatoid
Version:        0.6
Release:        2%{?dist}
Summary:        Translator Using Google Translator

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://www.kde-look.org/content/show.php/translatoid?content=97511
Source0:        http://www.kde-look.org/content/content-files/translatoidNoFlag%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdebase-workspace-devel >= 4.2.0
BuildRequires:  gettext >= 0.17
%description
Translator plasmoid using Google Translator.

%prep
%setup -qn translatoidNoFlag

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
chmod 664 %{_builddir}/%{buildsubdir}/README
%{cmake_kde4} ..
popd

sed -i -e 's/-fno-exceptions -fno-check-new -fno-common//' \
-e 's/-fno-threadsafe-statics -fvisibility=hidden -fvisibility-inlines-hidden//' \
-e 's/-ansi//' %{_target_platform}/CMakeFiles/translatoid.dir/flags.make

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README licence.txt
%{_kde4_libdir}/kde4/translatoid.so
%{_kde4_datadir}/kde4/services/plasma-applet-translatoid.desktop
%{_datadir}/locale/es_ES/LC_MESSAGES/translatoid.mo
%{_datadir}/locale/fr_FR/LC_MESSAGES/translatoid.mo

%changelog
* Wed Feb 25 2009 Eli Wapniarski <eli@orbsky.homelinux.org> 0.6-2
-Fix Build Requirement

* Wed Feb 25 2009 Eli Wapniarski <eli@orbsky.homelinux.org> 0.6-1
-Removed patch that builds the package without flags.They are not need.
-AutoPaste the copy selection and autotranslate when you active Popup.
-GrabKeyboard when you active Popup
-Add "Clear Button"
-remove Cancel Button from DialogBox
-Add Po language file. 
- Change inverse language icon
- Add Fedora Package without flags

* Fri Feb 13 2009 Eli Wapniarski <eli@orbsky.homelinux.org> 0.5-1
- Update to Version 0.5
- Update allows translated text to be spoken.

* Mon Feb 08 2009 Jaroslav Reznik <jreznik@redhat.com> 0.4.1-6
- Finally correct one URL
- Description clarification

* Fri Feb 06 2009 Jaroslav Reznik <jreznik@redhat.com> 0.4.1-5
- Fixed URL
- Country flags removed

* Mon Feb 02 2009 Eli Wapniarski <eli@orbsky.homelinux.org> 0.4.1-4
- Added command to remove non Fedora GCC compilation flags

* Mon Feb 02 2009 Eli Wapniarski <eli@orbsky.homelinux.org> 0.4.1-3
- Corrected reference to Google as per Fedora's Guidelines

* Mon Feb 02 2009 Eli Wapniarski <eli@orbsky.homelinux.org> 0.4.1-2
- Corrected Name of SPEC File
- Corrected packaging errors

* Mon Feb 02 2009 Eli Wapniarski <eli@orbsky.homelinux.org> 0.4.1-1
- Initial package
